# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](http://keepachangelog.com/en/1.0.0/)
and this project adheres to [Semantic Versioning](http://semver.org/spec/v2.0.0.html).

## [0.2.5] - 2021-09-08
### Added
- Besse::Item.specialty_limited? to identify limited stock specialty items

## [0.2.4] - 2021-09-02
### Changed
- Allow property for Besse::OrderHeaderInfo.OrderSequenceId (request structure)
- Allow property for Besse::OrderHeaderInfo.OrderSequenceID (response structure)

## [0.2.3] - 2021-09-02
### Changed
- Besse::OrderHeaderInfo.OrderSequenceId (was OrderSequenceID)

## [0.2.2] - 2021-06-29
### Changed
- Besse::OrderHeaderInfo don't add 'HeaderInfo' into to_json method

## [0.2.1] - 2021-06-21
### Changed
- Besse::OrderHeaderInfo.OrderSequenceID (was OrderSequenceId)

### Added
- Besse::OrderHeaderInfo.LocationNumber
- Besse::OrderHeaderInfo.DeliveryBlock
- Besse::OrderHeaderInfo.DeliveryTerm
- Besse::OrderHeaderInfo.SalesOrderNumber

## [0.2.0] - 2021-06-21
### Added
- Besse::OrderHeaderInfo.OrderType
- Besse::OrderHeaderInfo.OrderSequenceId
- Besse::Order.from_request

## [0.1.1] - 2021-06-16
### Changed
- Added api key to all calls for Besse

## [0.1.0] - 2021-06-11
### Changed
- Moved configuration to it's own class

## [0.0.4] - 2021-05-04
### Added
- Add Besse::Item#available?
- Add Besse::Item#specialty?
- Add Besse::Item#specialty_available?
- Add Besse::Item#quantity_available?

## [0.0.3] - 2021-04-30
### Added
- Add Besse Order

## [0.0.2] - 2021-04-19
### Changed
- Rename gem

## [0.0.1] - 2021-04-15
### Added
- Initial Create with Besse ATP

[0.2.0]: https://github.com/WeInfuse/necessitas/compare/0.1.1...0.2.0
[0.1.1]: https://github.com/WeInfuse/necessitas/compare/0.1.0...0.1.1
[0.1.0]: https://github.com/WeInfuse/necessitas/compare/0.0.4...0.1.0
[0.0.4]: https://github.com/WeInfuse/necessitas/compare/0.0.3...0.0.4
[0.0.3]: https://github.com/WeInfuse/necessitas/compare/0.0.2...0.0.3
[0.0.2]: https://github.com/WeInfuse/necessitas/compare/0.0.1...0.0.2
[0.0.1]: https://github.com/WeInfuse/necessitas/compare/0.0.1
